﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Assignment10.OB
{
    public abstract class CPerson
    {
        private string _SSN;
        private string _firstName;
        private string _lastName;
        private string _fullName;
        private string _birthDate;

        public string SSN
        {
            get { return _SSN; }
            set { _SSN = value; }
        }

        public string FirstName
        {
            get { return _firstName; }
            set { _firstName = value; }
        }

        public string LastName
        {
            get { return _lastName; }
            set { _lastName = value; }
        }

        public string FullName
        {
            get { return _fullName; }
            set { _fullName = FirstName + " " + LastName; }
        }

        public string BirthDate
        {
            get { return _birthDate; }
            set { _birthDate = value; }
        }

        // Constructor #1
        public CPerson()
        {
            _SSN = string.Empty;
            _firstName = string.Empty;
            _lastName = string.Empty;
        }

        // Constructor #2
        public CPerson(string vSSN, string vFName, string vLName, string vBDate)
        {
            _SSN = vSSN;
            _firstName = vFName;
            _lastName = vLName;
            _birthDate = vBDate;
        }
    }
}
